package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.ParkingMerchantBinder;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ParkingMerchantBinderDAO {
	int insert(ParkingMerchantBinder entity);
	int update(ParkingMerchantBinder entity);
	int exist(String id);
	ParkingMerchantBinder get(String id);
	int delete(String id);
	List<ParkingMerchantBinder> list();
	List<ParkingMerchantBinder> search(Map<String,Object> searchParams,List<Sort> sortList);

    ParkingMerchantBinder findByOpenIdAndMerchantId(String openid,String merchantId);
}